﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication120
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(-25, "Indocin", "David", DateTime.Today);
            table.Rows.Add(+50, "Enebrel", "Sam", DateTime.Today);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Today);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Today);
            return table;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Date"].Format = "MM/dd/yyyy";
            e.Layout.Bands[0].Columns["Date"].CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.CellSelect;
            e.Layout.Bands[0].Columns["Date"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.ActivateOnly;
        }
    }
}
